harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Hindess <mark.hind...@googlemail.com>
Subject Re: [classlib][awt] Problem with libgl.so
Date Mon, 07 Nov 2011 19:20:30 GMT

In message <20111107121352.c1d0ab17.url@163.com>, ArLi Weng writes:
>
> i download the Apache Harmony 5.0M15 JRE for 32-bit Linux from apache.org,
> but not work for me, when i create an awt.frame at java code, run it just
> tell me libgl.so not exist, but it exist in the
> /mnt/public/gPRG/JavaDev/harmony-5.0-jdk-991518/jre/bin/libgl.so, my command
> and response here:
> 
> $ /mnt/public/gPRG/JavaDev/harmony-5.0-jdk-991518/jre/bin/java -showversion -jar cc-src.jar
> Apache Harmony Launcher : (c) Copyright 1991, 2010 The Apache Software Foundation or
its licensors, as applicable.
> java version "1.5.0"
> Apache Harmony (1.5.0)
> DRLVM (1.5.0-r991518)
> pre-alpha : not complete or compatible
> svn =3D r991518, (Sep  7 2010), Linux/ia32/gcc 4.3.2, release build
> http://harmony.apache.org
> Uncaught exception in AWT-NativeEventThread:
> java.lang.UnsatisfiedLinkError: Can not find the library: libgl.so
> 	at java.lang.Runtime.loadLibrary0(Runtime.java:806)


I suspect it is a simple missing pre-requisite, try re-checking the list at:

  http://harmony.apache.org/quickhelp_contributors.html#1.%20Prerequisites

Also try:

  JREBIN=/mnt/public/gPRG/JavaDev/harmony-5.0-jdk-991518/jre/bin
  LD_LIBRARY_PATH=$JREBIN/default:$JREBIN ldd $JREBIN/libgl.so

I suspect that one of the libgl.so library dependencies is missing.

HTH,
 Mark







Mime
View raw message